﻿@media screen and (orientation:portrait){
    body {
        display: grid;
        justify-content: center;
        grid-template-areas: "header nav" "content content" "footer footer";
        grid-template-columns: 2fr 4fr;
        grid-template-rows: auto 1fr 2.5em;
    }

    header {
        grid-area: header;
        justify-content: center;
        align-items: center;
        padding: 0.75em;
        background-image: linear-gradient(to bottom, rgba(31, 40, 51, 1), rgba(31, 40, 51, 1), rgba(31, 40, 51, 1), rgba(31, 40, 51, 0));
    }

    nav {
        grid-area: nav;
        justify-content: center;
        align-items: center;
        background-image: linear-gradient(to bottom, rgba(31, 40, 51, 1), rgba(31, 40, 51, 1), rgba(31, 40, 51, 1), rgba(31, 40, 51, 0));
        padding: 0.75em;
    }

    nav ul li {
        list-style: none;
        display: inline-block;
        font-size: 1.3em;
        text-align: center;
        padding-right: 1em;
        padding-top: 0.1em;
    }

    main {
        grid-area: content;
        justify-content: center;
        align-items: center;
        display: flex;
        width: 100%;
    }

    footer {
        grid-area: footer;
        text-align: right;
        padding-right: 2em;
        line-height: 1.6em;
    }

    #particles-js {
        z-index: -1;
        grid-row-start: 1;
        grid-row-end: 4;
        grid-column-start: 1;
        grid-column-end: 3;
    }
}
